loSession = XFRX('XFRX#INIT')
lnStatus  = loSession.SetParams('orders.html', '', .F., '', .T., .F., 'HTML')
if lnStatus = 0
	loSession.ProcessReport('orders.frx')
	loSession.Finalize()
else
	do DisplayXFRXError with lnStatus
endif lnStatus = 0

function DisplayXFRXError(tnErrorCode)
local lcMessage
do case
	case tnErrorCode = -1
		lcMessage = 'Cannot load Word'
	case tnErrorCode = -2
		lcMessage = 'Need Word 2000 or higher'
	case tnErrorCode = -3
		lcMessage = 'Cannot access output file'
	case tnErrorCode = -4
		lcMessage = 'Unknown target'
	otherwise
		lcMessage = 'Unknown problem'
endcase
messagebox(lcMessage)
return
